<?php

declare(strict_types=1);

namespace Flowaxy\Contracts\CLI;

// Інтерфейс для консольних команд
interface CommandInterface
{
    // Виконання команди
    public function execute(array $args): int;

    // Отримання імені команди
    public function getName(): string;

    // Отримання опису команди
    public function getDescription(): string;

    // Отримання довідки команди
    public function getHelp(): string;
}
